# Nautiz X8 LRBT Cap Demo for Android
This app demos the connections to the LRBT cap on Android. It reads configuration from the module and scans for nearby Bluetooth devices.

## Used libraries
 - The [Device SDK](http://www.handheldgroup.com/support-rugged-computers/knowledgebase-KB/16391/) is used to enable the 3V3 Power pin on the top port
 - A precompiled serial port (written in C with JNI) in used for the communication

## Notes
 - A list of all AT commands can be found [here](http://support.connectblue.com/display/PRODBTSPA/Bluetooth+Serial+Port+Adapter+AT+Commands)
 - Connecting, reading, writting and disconnecting are handled in the SerialActivity class
 - A block of data returend by the module always ends in \r\n so the SerialActivity class checks for that pattern and strips the \r\n before calling the onDataReceived method with the actual data
 - The *Connect* button will open the serial port, switch the device to AT mode and send the command to read the local name
 - The *Scan* button will scan for nearby devices and will list them as "[MAC] Name"